Bulk Update Saas Association Status
curl --request POST \
--url https://config.heyhumm.ai/api/integration-sources/{source_id}/saas-associations/bulk-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"association_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"score": 123,
"evidence": {}
}
'import requests
url = "https://config.heyhumm.ai/api/integration-sources/{source_id}/saas-associations/bulk-status"
payload = {
"association_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"score": 123,
"evidence": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
association_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
score: 123,
evidence: {}
})
};
fetch('https://config.heyhumm.ai/api/integration-sources/{source_id}/saas-associations/bulk-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bulk Update Saas Association Status
Bulk update status (and optional score/evidence) for SaaS associations.
POST
/
api
/
integration-sources
/
{source_id}
/
saas-associations
/
bulk-status
Bulk Update Saas Association Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
Payload for bulk SaaS association status updates.
List of SaaS association IDs to update
Minimum array length:
1New status to apply
Available options:
SUGGESTED, APPROVED, REJECTED Optional score to set for each association
Optional evidence payload
Response
Successful Response
The response is of type Response Bulk Update Saas Association Status Api Integration Sources Source Id Saas Associations Bulk Status Post · object.
⌘I